Package ghidra.framework.main.datatree

# Class FrontEndProjectTreeContext

java.lang.Object
docking.DefaultActionContext
ghidra.framework.main.datatable.ProjectDataContext
ghidra.framework.main.datatree.FrontEndProjectTreeContext

All Implemented Interfaces:
  `ActionContext`, `DomainFileContext`, `ProjectTreeContext`

public class FrontEndProjectTreeContext extends ProjectDataContext implements ProjectTreeContext

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FrontEndProjectTreeContext(ComponentProvider provider, ProjectData projectData, TreePath[] selectionPaths, List<DomainFolder> folderList, List<DomainFile> fileList, DataTree tree, boolean isActiveProject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GTreeNode`
  `getContextNode()`
  Returns the node that represents the context object for this context
  `TreePath[]`
  `getSelectionPaths()`
  Returns the list of selected `TreePath`s selected.
  `DataTree`
  `getTree()`
  Returns the project data tree component.

  ### Methods inherited from class ghidra.framework.main.datatable.ProjectDataContext

  `containsRootFolder, getComponent, getFileCount, getFolderCount, getProjectData, getSelectedFiles, getSelectedFolders, hasExactlyOneFileOrFolder, hasOneOrMoreFilesAndFolders, isInActiveProject, isReadOnlyProject`

  ### Methods inherited from class docking.DefaultActionContext

  `getComponentProvider, getContextObject, getEventClickModifiers, getMouseEvent, getSourceComponent, getSourceObject, hasAnyEventClickModifiers, setContextObject, setEventClickModifiers, setMouseEvent, setSourceComponent, setSourceObject, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.framework.main.datatable.ProjectTreeContext

  `getFileCount, getFolderCount, getSelectedFiles, getSelectedFolders, hasExactlyOneFileOrFolder, hasOneOrMoreFilesAndFolders`

- ## Constructor Details

  - ### FrontEndProjectTreeContext

    public FrontEndProjectTreeContext(ComponentProvider provider, ProjectData projectData, TreePath[] selectionPaths, List<DomainFolder> folderList, List<DomainFile> fileList, DataTree tree, boolean isActiveProject)

- ## Method Details

  - ### getSelectionPaths

    public TreePath[] getSelectionPaths()
    Description copied from interface: `ProjectTreeContext`
    Returns the list of selected `TreePath`s selected.
    Specified by:
      `getSelectionPaths` in interface `ProjectTreeContext`
    Returns:
      the list of selected `TreePath`s selected.

  - ### getTree

    public DataTree getTree()
    Description copied from interface: `ProjectTreeContext`
    Returns the project data tree component.
    Specified by:
      `getTree` in interface `ProjectTreeContext`
    Returns:
      the project data tree component.

  - ### getContextNode

    public GTreeNode getContextNode()
    Description copied from interface: `ProjectTreeContext`
    Returns the node that represents the context object for this context
    Specified by:
      `getContextNode` in interface `ProjectTreeContext`
    Returns:
      the node